xine-lib: xine-lib-1.2.13/src/input/multirate_pref.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Functions | Variables
multirate_pref.c File Reference

Go to the source code of this file.

## Data Structures
struct | multirate_pref_t

## Functions
static void | multirate_set_video_size (multirate_pref_t *pref, int n)
static void | multirate_cb_video_size (void *pref_gen, xine_cfg_entry_t *entry)
static void | multirate_set_lang (multirate_pref_t *pref, const char *lang)
static void | multirate_cb_lang (void *pref_gen, xine_cfg_entry_t *entry)
static void | multirate_cb_bitrate (void *pref_gen, xine_cfg_entry_t *entry)
static void | multirate_pref_get (config_values_t *config, multirate_pref_t *pref)
static int | multirate_autoselect (multirate_pref_t *pref, multirate_pref_t *list, int list_size)
static int | multirate_audio_autoselect (multirate_pref_t *pref, multirate_pref_t *list, int list_size)

## Variables
static const char *const | multirate_video_size_labels []

## Function Documentation

## ◆ multirate_audio_autoselect()

static int multirate_audio_autoselect | ( | multirate_pref_t * | pref,
|  | multirate_pref_t * | list,
|  | int | list_size )
| inlinestatic

References multirate_pref_t::bitrate, multirate_pref_t::lang, multirate_pref_t::video_height, and multirate_pref_t::video_width.

Referenced by hls_input_open().

## ◆ multirate_autoselect()

static int multirate_autoselect | ( | multirate_pref_t * | pref,
|  | multirate_pref_t * | list,
|  | int | list_size )
| static

References multirate_pref_t::bitrate, multirate_pref_t::video_height, and multirate_pref_t::video_width.

Referenced by hls_input_open(), and mpd_input_open().

## ◆ multirate_cb_bitrate()

static void multirate_cb_bitrate | ( | void * | pref_gen,
|  | xine_cfg_entry_t * | entry )
| static

References multirate_pref_t::bitrate, and xine_cfg_entry_s::num_value.

Referenced by multirate_pref_get().

## ◆ multirate_cb_lang()

static void multirate_cb_lang | ( | void * | pref_gen,
|  | xine_cfg_entry_t * | entry )
| static

References multirate_set_lang(), and xine_cfg_entry_s::str_value.

Referenced by multirate_pref_get().

## ◆ multirate_cb_video_size()

static void multirate_cb_video_size | ( | void * | pref_gen,
|  | xine_cfg_entry_t * | entry )
| static

References multirate_set_video_size(), and xine_cfg_entry_s::num_value.

Referenced by multirate_pref_get().

## ◆ multirate_pref_get()

static void multirate_pref_get | ( | config_values_t * | config,
|  | multirate_pref_t * | pref )
| static

References _, multirate_pref_t::bitrate, multirate_cb_bitrate(), multirate_cb_lang(), multirate_cb_video_size(), multirate_set_lang(), multirate_set_video_size(), multirate_video_size_labels, config_values_s::register_enum, config_values_s::register_num, and config_values_s::register_string.

Referenced by input_hls_init_class(), and input_mpegdash_init_class().

## ◆ multirate_set_lang()

static void multirate_set_lang | ( | multirate_pref_t * | pref,
|  | const char * | lang )
| static

References multirate_pref_t::lang.

Referenced by multirate_cb_lang(), and multirate_pref_get().

## ◆ multirate_set_video_size()

static void multirate_set_video_size | ( | multirate_pref_t * | pref,
|  | int | n )
| static

References multirate_pref_t::video_height, and multirate_pref_t::video_width.

Referenced by multirate_cb_video_size(), and multirate_pref_get().

## Variable Documentation

## ◆ multirate_video_size_labels

const char* const multirate_video_size_labels[]
| static

Initial value:
= {
"Audio only", "Small", "SD", "HD", "Full HD", "4K", NULL
}
NULL
NULL
Definition xine_plugin.c:78

Referenced by multirate_pref_get().